Subject: Re: What is missing from Git v2.0

From: [email-masked]
Date: Thu, 24 Apr 2014 15:47:18 +0000

On Thu, Apr 24, 2014 at 05:00:13PM +0200, Stefan Beller wrote:
> > I don't even think we need to query the user to fill out all of the
> > fields.  We can prepopulate a lot of the fields (name, e-mail address,
> > etc.) from OS specific defaults that are available on most systems ---
> > specifically, the default values we would use the name and e-mail
> > address are not specified in a config file.
> 
> Please don't. Or you end up again with Commiters like sb@localhost,
> sbeller@(None) or alike. I mean it's just one question once you setup
> a new computer, so I'd really like to see that question and then
> answer myself (at university/employer I might put in another email
> address than at home anyway, and I'm sure my boxes have no sane
> defaults)

But that's no worse than what we have today.  What if we print what
the defaults were, which might help encourage the user to actually run
the "git config -e" command?

					- Ted